# TeraPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class TeraPhase

#### Hierarchy (View Summary)

- BattlePhase
  - TeraPhase

- Defined in src/phases/tera-phase.ts:11

##### Index

### Constructors

constructor

### Properties

pokemon

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new TeraPhase(pokemon: default ): TeraPhase

  #### Parameters

  - pokemon: default

  #### Returns TeraPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases/tera-phase.ts:14

## Properties

### pokemon

pokemon: default

- Defined in src/phases/tera-phase.ts:12

## Methods

### end

- end(): void

  #### Returns void

  Overrides BattlePhase.end

  - Defined in src/phases/tera-phase.ts:34

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases/tera-phase.ts:20